Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool.servlet
Class ServletDataSet

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--bea.jolt.pool.DataSet
                        |
                        +--bea.jolt.pool.servlet.ServletDataSet

public class ServletDataSet
extends DataSet

This class contains data elements that represent the input and output parameters of a BEA TUXEDO service. It provides a method to import the HTML field names and values from a `javax.servlet.http.HttpServletRequest` object.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class bea.jolt.pool.DataSet
`unrestricted`

Constructor Summary
`` | `ServletDataSet()` Constructs a default `ServletDataSet` object.
`` | `ServletDataSet(int initCapacity)` Constructs a `ServletDataSet` with a specified initial capacity.
`protected` | `ServletDataSet(int initCapacity, boolean importAny)` Creates the object to store the data set.

Method Summary
`void` | `importRequest(javax.servlet.http.HttpServletRequest request)` Imports the HTML field names and corresponding values from a `javax.servlet.http.HttpServletRequest` object.

Methods inherited from class bea.jolt.pool.DataSet
`expanded, getCount, getValue, getValue, setValue, setValue`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletDataSet

    public ServletDataSet()

  Constructs a default `ServletDataSet` object.

### ServletDataSet

    public ServletDataSet(int initCapacity)

  Constructs a `ServletDataSet` with a specified initial capacity.

  Parameters:
    `initCapacity` - Initial capacity

### ServletDataSet

    protected ServletDataSet(int initCapacity,
                             boolean importAny)

  Creates the object to store the data set. This method is for internal use only.

  Parameters:
    `initCapacity` - Initial capacity
    `importAny` - true to import any data; false for input parameters only

Method Detail

### importRequest

    public void importRequest(javax.servlet.http.HttpServletRequest request)

  Imports the HTML field names and corresponding values from a `javax.servlet.http.HttpServletRequest` object. This method is useful when the data from the `HttpServletRequest` is insufficient for directly calling a BEA TUXEDO service. The data should be imported into a `ServletDataSet` where additional parameter data can be specified.

  The following sample code adds a parameter named "REQUEST_TIME" to the parameters imported from `request` before calling the BEA TUXEDO service "DEBIT". This code would typically be in a servlet's `doPost` or `doGet` method.

       ServletDataSet dataset = new ServletDataSet();

       // Import the HTML form fields from the HttpServletRequest
       dataset.importRequest(request);

       // Add the REQUEST_TIME parameter to the input data set
       dataset.setValue("REQUEST_TIME", (new Date()).toString());

       // ... Insert code to get the servlet session pool

       // Call the DEBIT service using the combined input data
       session_pool.call ("DEBIT", dataset, null);

  Parameters:
    `request` - `HttpServletReques` object
  See Also:
    `ServletSessionPool.call(java.lang.String, javax.servlet.http.HttpServletRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD